"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diffChanges = void 0;
function addedChanges(before, after) {
    return Object.entries(after).reduce((acc, [key, value]) => {
        // @ts-expect-error
        const beforeValue = before[key];
        const hasBefore = beforeValue !== undefined;
        return hasBefore ? acc : { ...acc, [key]: value };
    }, {});
}
function modifiedChanges(before, after) {
    return Object.entries(after).reduce((acc, [key, value]) => {
        // @ts-expect-error
        const beforeValue = before[key];
        const hasBefore = beforeValue !== undefined;
        const isDifferent = hasBefore && value !== beforeValue;
        return isDifferent ? { ...acc, [key]: value } : acc;
    }, {});
}
function diffChanges(before, after) {
    return {
        ...addedChanges(before, after),
        ...modifiedChanges(before, after),
    };
}
exports.diffChanges = diffChanges;
//# sourceMappingURL=diffChanges.js.map